### Method

# Gtk Applicationget_window_by_id

#### Declaration [src]

    GtkWindow*
    gtk_application_get_window_by_id (
      GtkApplication* application,
      guint id
    )

#### Description [src]

Returns the `GtkApplicationWindow` with the given ID.

The ID of a `GtkApplicationWindow` can be retrieved with `gtk_application_window_get_id()`.

#### Parameters

`id`

  Type: `guint`

  An identifier number.

#### Return value

Type: `GtkWindow`

The window for the given `id`

The data is owned by the instance.
The return value can be `NULL`.